View Issue Details

IDProjectCategoryView StatusLast Update
0000131VisualDifferFolders differpublic2012-12-13 16:14
ReporterkusmiAssigned Toadmin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.4.3 
Target VersionFixed in Version1.5 
Summary0000131: Skip symbolic links while diffing
DescriptionWhen I do folder diffing and some subfoldes contain symbolic links, VisualDiffer follows those links. It should only report if the symlinks are pointing to somewhere different, but should not follow the links.

E.g. when you try to diff the Mac "Library" folder, there is now a "Containers" folder, which has symlinks to almost all directories of the machine.
TagsNo tags attached.

Activities

admin

2012-10-09 14:38

administrator   ~0000173

Yes, you are right, indeed next version (v1.4.5) will have an option to choose if follow links or not.

Actually after 17 days I'm waiting approval from Apple for version 1.4.4 so I can't tell you when v.1.4.5 will be published (it is almost complete)

admin

2012-12-13 16:14

administrator   ~0000191

By default symlinks are followed (so the current expected behavior isn't broken) but from preference is possible to change it

Issue History

Date Modified Username Field Change
2012-10-09 13:21 kusmi New Issue
2012-10-09 13:21 kusmi Status new => assigned
2012-10-09 13:21 kusmi Assigned To => admin
2012-10-09 14:38 admin Note Added: 0000173
2012-11-30 18:01 admin Status assigned => resolved
2012-11-30 18:01 admin Resolution open => fixed
2012-11-30 18:01 admin Fixed in Version => 1.5
2012-12-13 16:14 admin Note Added: 0000191
2012-12-13 16:14 admin Status resolved => closed